html {
    scroll-behavior: smooth;
}

* {
    box-sizing: border-box;
}

body {
    overflow: auto;
}

body, div, ul, nav, header, footer, a, li, label, p {
    margin: 0px;
    padding: 0;
}

/* --- HEADER --- */

.img__header { 
    background-color: #0f17b0;
}

header {
    display: flex;
    flex-direction: row;
    top: 0;
    left: 0;
    width: 100%;
    height: 100px;
    position: fixed;
    background-color: #0f17b0;
    z-index: 1000;
}

.logo__header {
    height: 100px;
    width: 100px;
}

.container__h1 {
    height: 100%;
    width: 70%;
    justify-content: center;
    align-items: center;
    align-content: center;
    justify-items: center;
}


/* --- H1 --- */



h1 {
    height: 100%;
    width: 100%;
    color: #fff;
    padding: 0px;
    background-color: #0f17b0;
    font-size: 28px;
    text-align: center;
    align-items: center;
    align-content: center;
    margin: 0px 5px 0px 5px;
}

@media (min-width: 720px) {
    h1 {
        padding: 25px;
        font-size: 35px;
    }
}


/* --- ENLACES HEADER --- */


.enlaces {
    width: 30%;
    display: grid;
    grid-template-columns: 50% 50%;
    height: 100px;
    justify-items: center;
    align-content: space-evenly;
    background-color: #0f17b0;
}

.img__enlace {
    width: 100%;
    height: 32px;
}

@media (min-width: 720px) {
    .enlaces {
        width: 30%;
        display: grid;
        grid-template-columns: 25% 25% 25% 25%;
        align-items: center;
        align-content: space-evenly;
        justify-content: center;
        justify-items: normal;
        margin-left: 3px;
    }

    .a__header {
        width: 80%;
        height: 90%;
    }

    .img__enlace {
        width: 93%;
        height: 95%;
    }
}


/* --- NAV --- */


nav {
    position: fixed;
    top: 100px;
    left: 0;
    background-color: #44e;
    width: 100%;
    height: auto;
    justify-items: normal;
    justify-content: left;
    align-items: center;
    display: flex;
    flex-direction: row;
    z-index: 1000;
    border: 2px solid #000;
}

.a__nav {
    text-decoration: dashed;
    width: 20%;
    text-align: center;
    font-size: 10px;
    color: #fff;
    padding: 5px;
    border-radius: 15px;
    border: none;
    transition: background-color 180ms ease, color 180ms ease;
}

.a__nav:hover {
    background-color: #48e;
    box-shadow: 0 0 0 2px #000;
    outline: none;
}

@media (min-width: 720px) {
    nav {
        height: auto;
    }

    .a__nav {
        font-size: 20px;
    }
}


/* --- FLEXBOX --- */


.flexbox {
    height: auto;
    width: 100%;
    margin-top: 133px;
}

#cognite {
    color: #37e;
    font-size: 40px;
    margin-top: 5px;
}


.flex-item {
    width: 99%;
    height: 300px;
    color: #000b;
    font-size: 18px;
    text-align: center;
    display: grid;
    border-top: 2px solid #000;
    border-radius: 7%;
    background-color: #ffe5;
}

h3 {
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
}

@media (min-width: 720px) {

    .flexbox {
        display: grid;
        grid-template-columns: 33.3% 33.3% 33.3%;
        background-color: #fff;
        margin-top: 139px;
    }

    .flex-item {
        margin: 0px 5px;
        padding: 10px;
        font-size: 22px;
        color: #000b;
        width: 97%;
    }


}


/* --- NOTICIAS --- */


.h3__avisos {
    width: 100%;
    padding: 10px;
    font-size: 26px;
    background-color: rgb(186, 4, 4);
    text-align: center;
    color: #fff;
    height: auto;
    margin-bottom: 0px;
} 

.container__avisos {
    width: 100%;
    height: auto;
    justify-items: center;
}

.container__img-avisos {
    display: flex;
    flex-direction: column;
    width: 90%;
    height: auto;
    align-items: center;
}

.p__avisos {
    font-size: 15px;
    padding: 10px;
}

.img__avisos {
    width: 80%;
    max-width: 90%;
    border-radius: 5px;
    margin-top: 10px;
    border: 3px solid  #990a92;
    box-shadow: 0 4px 8px rgb(186, 4, 4);
    padding: 9px;
    background-color: #f9f9f9;
    letter-spacing: 3px;
}

@media (min-width: 720px) {

    .h3__avisos {
        margin-bottom: 0px;
        padding: 15px;
        font-size: 35px;
    }
    
    .container__img-avisos {
        display: flex;
        flex-direction: row;
        width: 100%;
        justify-items: normal;
        align-items: center;
    }

    .p__avisos {
        padding: 15px;
        font-size: 20px;
        margin: 0px 15px;
    }

    .img__avisos {
        width: 300px;
        max-width: 40%;
        height: auto;
        margin-right: 10px;
    }
}

/* --- NOSOTROS --- */

.div__nosotros {
    width: 100%;
    height: 100%;
}

.h3__nosotros {
    font-size: 22px;
    text-align: center;
}

.p__nosotros {
    font-size: 18px;
    width: 95%;
    margin: auto;
    text-align: justify;
    font-family: "Times New Roman", Times, Baskerville, Georgia, serif;
}

@media (min-width: 720px) {
    .h3__nosotros {
    font-size: 32px;
    text-align: center;
}

.p__nosotros {
    font-size: 23px;
}
}


/* --- H2 MAIN --- */


h2 {
    justify-items: center;
    background-color: rgb(138, 5, 5);
    color: #fff;
    font-size: 26px;
    height: auto;
    width: 100%;
    padding: 15px;
    text-align: center;
}

@media (min-width: 720px) {
    
    h2 {
        padding: 15px;
        font-size: 35px;
        margin-bottom: 0px;
    }
}


/* --- MAIN --- */


main {
    background-color: rgba(241, 241, 243, 0.866);
}

.container__main {
    align-items: center;
    width: 100%;
    height: auto;
}

.h3__main {
    font-size: 20px;
    margin-bottom: 20px;
    text-align: normal;
    margin-left: 2%;
    margin-right: 2%;
}

.container__img-sec {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.img__main {
    width: 70%;
    max-width: 70%;
    border-radius: 5px;
    margin: 20px 0px;
    border: 3px solid #23e;
    box-shadow: 0 4px 8px #48e;
    padding: 9px;
    background-color: #f9f9f9;
}

@media (min-width: 720px) {

    .h3__main {
        font-size: 25px;
    }

    #imgf {
        display: grid;
        grid-template-columns: 22% 22% 22% 22%;
        justify-items: center;
        justify-content: space-around;
    }

    #imgs {
        display: grid;
        grid-template-columns: 30% 30% 30%;
        justify-content: center;
        justify-content: space-around;
    }

    .img__main {
        width: 300px;
        max-width: 100%;
        height: auto;
    }
}


/* --- MAPA --- */


    .mapa-embed {
        position: relative;
        width: 100%;
        padding-bottom: 56.25%;
        height: 0;
        overflow: hidden;
        border-radius: 8px;
    }

    .mapa-embed iframe {
        position: absolute;
        inset: 0;
        width: 100%;
        height: 90%;
        border: 0;
    } 

/* --- FOOTER --- */



footer {
    background-color: #000000d0;
    width: 100%;
    height: auto;
    margin-top: 20px;
}

.p__footer {
    color: #fff;
    font-size: 17px;
    padding: 10px;
}


@media (min-width: 720px) {
    .p__footer {
        padding: 25px;
        font-style: 20px;
    }
}